# std::type_index::operator==,!=,<,<=,>,>=

From cppreference.com
< cpp‎ | types‎ | type index

bool operator==( const type_index& rhs ) const noexcept; |  | (since C++11)
bool operator!=( const type_index& rhs ) const noexcept; |  | (since C++11)
bool operator<( const type_index& rhs ) const noexcept; |  | (since C++11)
bool operator<=( const type_index& rhs ) const noexcept; |  | (since C++11)
bool operator>( const type_index& rhs ) const noexcept; |  | (since C++11)
bool operator>=( const type_index& rhs ) const noexcept; |  | (since C++11)

Compares the underlying std::type_info objects.

1-2) Checks whether the underlying std::type_info objects refer to the same type.

3-6) Compares the underlying std::type_info objects as defined by an implementation-defined ordering. The comparison is done by `type_info::before`.

### Parameters

rhs | - | another `type_index` object to compare to

### Return value

1) true if the underlying std::type_info objects refer to the same type, false otherwise

2) true if the underlying std::type_info objects refer not to the same type, false otherwise

3-6) true if the types referred by the underlying std::type_info objects are ordered by corresponding order, false otherwise.

Retrieved from "https://en.cppreference.com/mwiki/index.php?title=cpp/types/type_index/operator_cmp&oldid=93383"